summaryrefslogtreecommitdiff
path: root/Master/tlpkg
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2012-05-28 17:40:26 +0000
committerKarl Berry <karl@freefriends.org>2012-05-28 17:40:26 +0000
commit32e9907464ab5c5fd7deb7c63a0de8aa250235de (patch)
treed80240255692406e99a9b447c4a2ba2e536f1692 /Master/tlpkg
parent8592ddbb084f328c21e16257da88031e27f32440 (diff)
update man pages
git-svn-id: svn://tug.org/texlive/trunk@26689 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-man13
1 files changed, 11 insertions, 2 deletions
diff --git a/Master/tlpkg/bin/tl-update-man b/Master/tlpkg/bin/tl-update-man
index ba42ff7e3d8..b2b3a2cf4a9 100755
--- a/Master/tlpkg/bin/tl-update-man
+++ b/Master/tlpkg/bin/tl-update-man
@@ -38,10 +38,19 @@ for sect in 1 5; do
# do not delete, since many man pages aren't installed from the build,
# but just in case we want to look:
comm -23 $TMPDIR/now $TMPDIR/new | grep -v '\.pdf$' >>$TMPDIR/extraman.$sect
- # compare with (cd $lb && \ls | comm -13 - /tmp/extraman.1)
-
+ #
+ # and we can check against the binaries.
+ if test $sect = 1; then
+ bindir=$Master/bin/i386-linux
+ for m in *; do
+ f=`basename $m .1`
+ test -r "$bindir/$f" || echo "$0: $f in man but not bin"
+ done
+ fi
+
# for man1, generate make fragment for checking against man1/Makefile.
(cd $rundir/.. && make so.rules >$TMPDIR/so.rules)
+ echo "$0: check $TMPDIR/so.rules against `pwd`"
# see what we've done:
(cd $rundir && svn status)